Skip to content
Navigation

Get public profile

GET
https://api.sureshake.com/v2/directory/{subjectType}/{slug}

Authorization

  • BearerAuth
    optional
    HTTP

Path parameters

  • subjectType
    person
    or
    entity
    required
  • slug
    string
    required
    maxLength: 255 · minLength: 1

Query parameters

  • privateBrowsing
    optional
    boolean
    default: false
  • source
    optional
    string
    maxLength: 100 · minLength: 1 · default: "direct"

Returns

200

Default Response

JSON
  • data
    object
    required
    • listingId
      string
      required
      format: uuid
    • subjectType
      person
      or
      entity
      required
    • slug
      string
      required
    • versionId
      string
      required
      format: uuid
    • version
      integer
      required
      minimum: 0
    • snapshot
      object
      required
      • identity
        object
        required
        • displayName
          string
          required
          maxLength: 255 · minLength: 1
        • aliases
          optional
          array of
          string
          maxLength: 255 · minLength: 1
        • avatarUrl
          optional
          string
          or null
          format: uri
        • logoUrl
          optional
          string
          or null
          format: uri
      • overview
        optional
        string
        or null
        maxLength: 5000
      • location
        optional
        string
        or null
        maxLength: 255
      • category
        optional
        string
        or null
        maxLength: 255
      • websiteUrl
        optional
        string
        or null
        format: uri
      • experienceOrTeam
        optional
        array of
        map<unknown>
      • credentials
        optional
        array of
        map<unknown>
      • businessDetails
        optional
        map of
        unknown
      • publicEvidence
        optional
        array of
        map<unknown>
      • capitalProviderProfile
        optional
        object
        • profileType
          vc_professional
          or
          angel_investor
          or
          scout
          or
          family_office_professional
          or
          accelerator_or_venture_studio
          or
          corporate_venture_professional
          +1 more
          required
      • directEmail
        optional
        string
        or null
        format: email
      • directPhone
        optional
        string
        or null
        maxLength: 50 · minLength: 3
      • streetAddress
        optional
        string
        or null
        maxLength: 500 · minLength: 3
      • composition
        optional
        array of
        object
        • blockType
          header
          or
          trust
          or
          about
          or
          team
          or
          metrics
          or
          capital_graph
          +16 more
          required
        • order
          integer
          required
        • visibility
          optional
          public
          or
          follower
          or
          capital
          or
          diligence
          or
          custom
          default: "public"
        • config
          optional
          map of
          unknown
      • capitalProviderVerification
        optional
        object
        • identity
          object
          required
          • status
            verified
            required
          • verifiedAt
            string
            required
            format: date-time
          • expiresAt
            string
            or null
            required
            format: date-time
          • verificationMethod
            kyc_profile
            or
            operator_exception
            required
          • exceptionId
            optional
            string
            or null
            format: uuid
        • affiliation
          object
          required
          • status
            verified
            required
          • verifiedAt
            string
            required
            format: date-time
          • verificationMethod
            accepted_current_membership_at_verified_capital_entity
            or
            operator_exception
            required
          • membershipId
            string
            or null
            required
            format: uuid
          • organizationId
            string
            required
            format: uuid
          • organizationName
            string
            required
            minLength: 1
          • organizationSlug
            string
            or null
            required
            minLength: 1
          • organizationType
            investor
            or
            fund
            required
          • role
            string
            or null
            required
            minLength: 1
          • title
            string
            or null
            required
            minLength: 1
          • expiresAt
            optional
            string
            or null
            format: date-time
          • exceptionId
            optional
            string
            or null
            format: uuid
    • publishedAt
      string
      required
      format: date-time
    • redirectedFromSlug
      optional
      string
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

429

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close